import { ContentType, Controller, Post, Req, UseBefore } from 'routing-controllers';
import { OpenAPI } from 'routing-controllers-openapi';
import RawBodyMiddleware from '../middlewares/RawBody';

@Controller()
//@Authorized("IMPORT:read")
export class ImportController {
    // private runnerRepository: Repository<Runner>;

    /**
     * Gets the repository of this controller's model/entity.
     */
    constructor() {
        //this.runnerRepository = getConnectionManager().get().getRepository(Runner);
    }

    @Post('/runners/import')
    @ContentType("application.json")
    @OpenAPI({ description: "Create new runners from json" })
    postJSON(@Req() request: any) {
        console.log(request.rawBody.toString())
        return request.rawBody.toString();
    }

    @Post('/runners/import/csv')
    @ContentType("text/csv")
    @UseBefore(RawBodyMiddleware)
    @OpenAPI({ description: "Create new runners from csv" })
    postCSV(@Req() request: any) {
        throw new Error("Not implemented yet.");
    }
}